//
//  NRTChartAttributeStrings.h
//  Narrative
//
//  Created by Drew McCormack on Sun Sep 15 2002.
//
//  Narrative -- a plotting framework for Cocoa and GNUStep. 
//  Copyright (C) 2003 Drew McCormack
// 
//  This library is free software; you can redistribute it 
//  and/or modify it under the terms of the GNU Lesser General 
//  Public License as published by the Free Software 
//  Foundation; either version 2.1 of the License, or 
//  (at your option) any later version. 
//
//  This library is distributed in the hope that it will be 
//  useful, but WITHOUT ANY WARRANTY; without even the implied 
//  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
//  See the GNU Lesser General Public License for more details. 
// 
//  You should have received a copy of the GNU Lesser General Public 
//  License along with this library; if not, write to the Free 
//  Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
//  MA  02111-1307  USA 
//

#import <Foundation/Foundation.h>

//
// NRTChart attributes
//

// NRTChart background color
extern NSString *NRTChartBackgroundRGBACA;

// NRTTitle attributes
extern NSString *NRTTitleCA;
extern NSString *NRTTitleFontCA;
extern NSString *NRTTitleFontSizeCA;
extern NSString *NRTTitleRGBCA;
extern NSString *NRTTitlePlotViewVectorCA;

// NRTPlot Area attributes
extern NSString *NRTPlotAreaFrameXRangeCA;
extern NSString *NRTPlotAreaFrameYRangeCA;
extern NSString *NRTPlotAreaBackgroundRGBACA;

//
// NRTXYChart attributes
//

// NRTAxis titles
extern NSString *NRTBottomXAxisTitleOffsetCA;
extern NSString *NRTBottomXAxisTitleFontCA;
extern NSString *NRTBottomXAxisTitleFontSizeCA;
extern NSString *NRTBottomXAxisTitleFontRGBCA;

extern NSString *NRTLeftYAxisTitleOffsetCA;
extern NSString *NRTLeftYAxisTitleFontCA;
extern NSString *NRTLeftYAxisTitleFontSizeCA;
extern NSString *NRTLeftYAxisTitleFontRGBCA;

// NRTAxis attributes
extern NSString *NRTBottomXAxisLabelsOffsetCA;
extern NSString *NRTBottomXAxisLabelsFontCA;
extern NSString *NRTBottomXAxisLabelsFontSizeCA;
extern NSString *NRTBottomXAxisLabelsFontRGBCA;
extern NSString *NRTBottomXAxisLabelsCA;

extern NSString *NRTTopXAxisLabelsOffsetCA;
extern NSString *NRTTopXAxisLabelsFontCA;
extern NSString *NRTTopXAxisLabelsFontSizeCA;
extern NSString *NRTTopXAxisLabelsFontRGBCA;
extern NSString *NRTTopXAxisLabelsCA;

extern NSString *NRTLeftYAxisLabelsOffsetCA;
extern NSString *NRTLeftYAxisLabelsFontCA;
extern NSString *NRTLeftYAxisLabelsFontSizeCA;
extern NSString *NRTLeftYAxisLabelsFontRGBCA;
extern NSString *NRTLeftYAxisLabelsCA;

extern NSString *NRTRightYAxisLabelsOffsetCA;
extern NSString *NRTRightYAxisLabelsFontCA;
extern NSString *NRTRightYAxisLabelsFontSizeCA;
extern NSString *NRTRightYAxisLabelsFontRGBCA;
extern NSString *NRTRightYAxisLabelsCA;

extern NSString *NRTBottomXAxisWidthCA;
extern NSString *NRTBottomXAxisMajorTickLengthCA;
extern NSString *NRTBottomXAxisMajorTickWidthCA;
extern NSString *NRTBottomXAxisMinorTickLengthCA;
extern NSString *NRTBottomXAxisMinorTickWidthCA;
extern NSString *NRTBottomXAxisMinorTicksPerMajorTickCA;
extern NSString *NRTBottomXAxisTickCoordinatesCA;

extern NSString *NRTTopXAxisWidthCA;
extern NSString *NRTTopXAxisMajorTickLengthCA;
extern NSString *NRTTopXAxisMajorTickWidthCA;
extern NSString *NRTTopXAxisMinorTickLengthCA;
extern NSString *NRTTopXAxisMinorTickWidthCA;
extern NSString *NRTTopXAxisMinorTicksPerMajorTickCA;
extern NSString *NRTTopXAxisTickCoordinatesCA;

extern NSString *NRTLeftYAxisWidthCA;
extern NSString *NRTLeftYAxisMajorTickLengthCA;
extern NSString *NRTLeftYAxisMajorTickWidthCA;
extern NSString *NRTLeftYAxisMinorTickLengthCA;
extern NSString *NRTLeftYAxisMinorTickWidthCA;
extern NSString *NRTLeftYAxisMinorTicksPerMajorTickCA;
extern NSString *NRTLeftYAxisTickCoordinatesCA;

extern NSString *NRTRightYAxisWidthCA;
extern NSString *NRTRightYAxisMajorTickLengthCA;
extern NSString *NRTRightYAxisMajorTickWidthCA;
extern NSString *NRTRightYAxisMinorTickLengthCA;
extern NSString *NRTRightYAxisMinorTickWidthCA;
extern NSString *NRTRightYAxisMinorTicksPerMajorTickCA;
extern NSString *NRTRightYAxisTickCoordinatesCA;

// NRTAxis transforms
extern NSString *NRTBottomXAxisCoordinateRangeCA;
extern NSString *NRTTopXAxisCoordinateRangeCA;
extern NSString *NRTLeftYAxisCoordinateRangeCA;
extern NSString *NRTRightYAxisCoordinateRangeCA;

